summaryrefslogtreecommitdiffstats
path: root/tests/imfile-fileNotFoundError-parameter.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 16:28:20 +0000
commitdcc721a95bef6f0d8e6d8775b8efe33e5aecd562 (patch)
tree66a2774cd0ee294d019efd71d2544c70f42b2842 /tests/imfile-fileNotFoundError-parameter.sh
parentInitial commit. (diff)
downloadrsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.tar.xz
rsyslog-dcc721a95bef6f0d8e6d8775b8efe33e5aecd562.zip
Adding upstream version 8.2402.0.upstream/8.2402.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtests/imfile-fileNotFoundError-parameter.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/imfile-fileNotFoundError-parameter.sh b/tests/imfile-fileNotFoundError-parameter.sh
new file mode 100755
index 0000000..e890b72
--- /dev/null
+++ b/tests/imfile-fileNotFoundError-parameter.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# add 2016-11-22 by Pascal Withopf, released under ASL 2.0
+echo [imfile-file-not-found-error.sh]
+. $srcdir/diag.sh check-inotify
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+module(load="../plugins/imfile/.libs/imfile")
+
+input(type="imfile" File="testsuites/NotExistingInputFile" Tag="tag1" fileNotFoundError="off")
+
+action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+shutdown_when_empty
+wait_shutdown
+
+grep "error*file*NotExistingInputFile*No such file or directory" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -eq 0 ]; then
+ echo
+ echo "FAIL: error message from missing input file found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test